[Numpy-tickets] [NumPy] #671: linalg ImportError on Solaris 10 systems

NumPy numpy-tickets@scipy....
Tue Feb 26 09:58:38 CST 2008


#671: linalg ImportError on Solaris 10 systems
--------------------------------+-------------------------------------------
 Reporter:  chanley             |        Owner:  somebody
     Type:  defect              |       Status:  new     
 Priority:  normal              |    Milestone:  1.0.5   
Component:  numpy.linalg        |      Version:  none    
 Severity:  normal              |   Resolution:          
 Keywords:  linalg,ImportError  |  
--------------------------------+-------------------------------------------
Comment (by oliphant):

 I think s_cat is in libf77, which apparently lapack_lite.so was
 (incorrectly?) linked against.  Could you attach the output of the build
 (or include a link to it?).

 Perhaps the build environment and the run environment are sufficiently
 different?  What is LDFLAGS in both places?  Is there an ldd command on
 Solaris?  Could you run ldd lapack_lite.so to see where it is trying to
 resolve symbols from.

 This linking problem could have arisen due to changes in numpy.distutils.
 Do you have a revision number that worked?

-- 
Ticket URL: <http://scipy.org/scipy/numpy/ticket/671#comment:1>
NumPy <http://projects.scipy.org/scipy/numpy>
The fundamental package needed for scientific computing with Python.


More information about the Numpy-tickets mailing list